Loading...
Searching...
No Matches
ocsdMsgLogStrOutI Class Referenceabstract

`#include <ocsd_msg_logger.h>`

## Public Member Functions

| ocsdMsgLogStrOutI ()
virtual | ~ocsdMsgLogStrOutI ()
virtual void | printOutStr (const std::string &outStr)=0

## Detailed Description

Definition at line 41 of file ocsd_msg_logger.h.

## Constructor & Destructor Documentation

## ocsdMsgLogStrOutI()

ocsdMsgLogStrOutI::ocsdMsgLogStrOutI | ( |  | ) |

inline

Definition at line 44 of file ocsd_msg_logger.h.

## ~ocsdMsgLogStrOutI()

virtual ocsdMsgLogStrOutI::~ocsdMsgLogStrOutI | ( |  | ) |

inline virtual

Definition at line 45 of file ocsd_msg_logger.h.

## Member Function Documentation

## printOutStr()

virtual void ocsdMsgLogStrOutI::printOutStr | ( | const std::string & | outStr | ) |

pure virtual

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/ocsd_msg_logger.h